#ifndef __ANIMALNATIVO_H__
#define __ANIMALNATIVO_H__
#include "animalsilvestre.h"
#include <iostream>
#include <string>
	


/* @brief Classe AnimalNativo, que modela um ser animal Nativo e toma AnimalSilvestre como classe pai pra herdar seus atributos
* @param 	Atributos protegidos:
* 				uf_origem - estado de origem do animal
* 				autorizacao - autorizacao do animal

*					Métodos públicos:
*					getUf_origem - retorna o estado de origem do animal
*					setUf_origem - modifica o estado de origem do animal
*					getAutorizacao - retorna a autorizacao do animal
*					setAutorizacao - modifica a autorizacao do animal
*					AnimalSilvestre - Construtor cria um AnimalExotico, inicializando os seus atributos
*
*/
class AnimalNativo: public AnimalSilvestre{
	 protected:
		string uf_origem;
		string autorizacao;

	public:
		virtual void print() = 0;
		string getUf_origem();
		void setUf_origem(string origin_state);
		string getAutorizacao();
		void setAutorizacao(string authorization);
		AnimalNativo(string biernr, string origin_state, string authorization);
		~AnimalNativo();
};

#endif
